Page MenuHomePhabricator

ApiBounceHandler improvements
Closed, ResolvedPublic

Description

The module should probably be marked internal.

It should probably also use proper api parameter handling rather than:
$email = $this->getMain()->getVal( 'email' );

Might be worth adding a description too...


Version: unspecified
Severity: normal

Details

Reference
bz72685

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport set Reference to bz72685.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Oct 29 2014, 5:23 PM

gerritadmin wrote:

Change 170523 had a related patch set uploaded by 01tonythomas:
Marked the BounceHandler API as internal

https://gerrit.wikimedia.org/r/170523

gerritadmin wrote:

Change 170523 merged by jenkins-bot:
Marked the BounceHandler API as internal

https://gerrit.wikimedia.org/r/170523

gerritadmin wrote:

Change 170889 had a related patch set uploaded by 01tonythomas:
Add API parameter handling details for the bounehandler API

https://gerrit.wikimedia.org/r/170889

gerritadmin wrote:

Change 170889 merged by jenkins-bot:
Add API parameter handling details for the bounehandler API

https://gerrit.wikimedia.org/r/170889

Reedy added a comment.Nov 4 2014, 5:48 PM

Think this is done now...